Bug 477217 - rss2email uses python 2.6 deprecated modules
rss2email uses python 2.6 deprecated modules
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rss2email (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 12:50 EST by Jonathan Kamens
Modified: 2009-01-07 12:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 12:42:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2008-12-19 12:50:05 EST
$ r2e run
/usr/share/rss2email/rss2email.py:230: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import cPickle as pickle, md5, time, os, traceback, urllib2, sys, types
/usr/share/rss2email/rss2email.py:241: DeprecationWarning: the mimify module is deprecated; use the email package instead
  import mimify; from StringIO import StringIO as SIO; mimify.CHARSET = 'utf-8'
$
Comment 1 Lindsey Smith 2008-12-19 13:38:49 EST
The upcoming release of rss2email should fix this. I will try to release it officially as soon as possible.
Comment 2 Lindsey Smith 2009-01-06 14:12:10 EST
Python 2.6 warnings should be eliminated in the latest version, available at http://rss2email.infogami.com
Comment 3 Thorsten Leemhuis 2009-01-07 12:42:11 EST
(In reply to comment #2)
> Python 2.6 warnings should be eliminated in the latest version, available at
> http://rss2email.infogami.com

many thx. Build ~21 hours ago and available in rawhide now

One note (quoting from the rss2email changelog):
> Attempted to incorporate Debian/Ubuntu patches into the mainstream release 

I also have one patch to make rss2email use a subdir in the users home dir (e.g. ~/.rss2email); see:

http://cvs.fedora.redhat.com/viewvc/devel/rss2email/rss2email-use-configpy-from-homedir.patch?view=markup

Would be nice to get something like that upstream. Ohh, and it would be really nice as well if r2e, its manpage and the changelog could be bundled together into a "real (python/tar.gz) package" upstream

The r2e fedora uses can be found here:
http://cvs.fedora.redhat.com/viewvc/devel/rss2email/rss2email-r2e?view=markup

Other stuff relevant to rss2email:
http://cvs.fedora.redhat.com/viewvc/devel/rss2email/

Note You need to log in before you can comment on or make changes to this bug.